var Ee = Object.defineProperty;
var X = Object.getOwnPropertySymbols;
var ke = Object.prototype.hasOwnProperty, be = Object.prototype.propertyIsEnumerable;
var Y = (e, t, s) => t in e ? Ee(e, t, { enumerable: !0, configurable: !0, writable: !0, value: s }) : e[t] = s, J = (e, t) => {
  for (var s in t || (t = {}))
    ke.call(t, s) && Y(e, s, t[s]);
  if (X)
    for (var s of X(t))
      be.call(t, s) && Y(e, s, t[s]);
  return e;
};
var T = (e, t, s) => new Promise((r, n) => {
  var i = (l) => {
    try {
      $(s.next(l));
    } catch (o) {
      n(o);
    }
  }, a = (l) => {
    try {
      $(s.throw(l));
    } catch (o) {
      n(o);
    }
  }, $ = (l) => l.done ? r(l.value) : Promise.resolve(l.value).then(i, a);
  $((s = s.apply(e, t)).next());
});
const Le = "user-deposit-withdrawal", we = (
  /* user-deposit-withdrawal */
  { hydratedSelectorName: "hydrated" }
);
var xe = Object.defineProperty, Pe = (e, t) => {
  for (var s in t)
    xe(e, s, { get: t[s], enumerable: !0 });
}, F = /* @__PURE__ */ new WeakMap(), b = (e) => F.get(e), mt = (e, t) => F.set(t.$lazyInstance$ = e, t), Te = (e, t) => {
  const s = {
    $flags$: 0,
    $hostElement$: e,
    $cmpMeta$: t,
    $instanceValues$: /* @__PURE__ */ new Map()
  };
  return s.$onReadyPromise$ = new Promise((r) => s.$onReadyResolve$ = r), e["s-p"] = [], e["s-rc"] = [], F.set(e, s);
}, K = (e, t) => t in e, L = (e, t) => (0, console.error)(e, t), q = /* @__PURE__ */ new Map(), _e = (e, t, s) => {
  const r = e.$tagName$.replace(/-/g, "_"), n = e.$lazyBundleId$;
  if (!n)
    return;
  const i = q.get(n);
  if (i)
    return i[r];
  {
    const a = ($) => (q.set(n, $), $[r]);
    switch (n) {
      case "player-step-up-auth_2":
        return import(
          /* webpackMode: "lazy" */
          "./player-step-up-auth_2-DmGRicLE.js"
        ).then(a, L);
    }
  }
  return import(
    /* @vite-ignore */
    /* webpackInclude: /\.entry\.js$/ */
    /* webpackExclude: /\.system\.entry\.js$/ */
    /* webpackMode: "lazy" */
    `./${n}.entry.js`
  ).then((a) => (q.set(n, a), a[r]), L);
}, A = /* @__PURE__ */ new Map(), Oe = "{visibility:hidden}.hydrated{visibility:inherit}", ne = "slot-fb{display:contents}slot-fb[hidden]{display:none}", x = typeof window != "undefined" ? window : {}, m = x.document || { head: {} }, p = {
  $flags$: 0,
  $resourcesUrl$: "",
  jmp: (e) => e(),
  raf: (e) => requestAnimationFrame(e),
  ael: (e, t, s, r) => e.addEventListener(t, s, r),
  rel: (e, t, s, r) => e.removeEventListener(t, s, r),
  ce: (e, t) => new CustomEvent(e, t)
}, je = /* @__PURE__ */ (() => {
  let e = !1;
  try {
    m.addEventListener(
      "e",
      null,
      Object.defineProperty({}, "passive", {
        get() {
          e = !0;
        }
      })
    );
  } catch (t) {
  }
  return e;
})(), Ae = (e) => Promise.resolve(e), Ie = /* @__PURE__ */ (() => {
  try {
    return new CSSStyleSheet(), typeof new CSSStyleSheet().replaceSync == "function";
  } catch (e) {
  }
  return !1;
})(), z = !1, Q = [], ae = [], Ue = (e, t) => (s) => {
  e.push(s), z || (z = !0, p.$flags$ & 4 ? M(B) : p.raf(B));
}, Z = (e) => {
  for (let t = 0; t < e.length; t++)
    try {
      e[t](performance.now());
    } catch (s) {
      L(s);
    }
  e.length = 0;
}, B = () => {
  Z(Q), Z(ae), (z = Q.length > 0) && p.raf(B);
}, M = (e) => Ae().then(e), He = /* @__PURE__ */ Ue(ae), R = {}, qe = "http://www.w3.org/2000/svg", ze = "http://www.w3.org/1999/xhtml", Be = (e) => e != null, W = (e) => (e = typeof e, e === "object" || e === "function");
function le(e) {
  var t, s, r;
  return (r = (s = (t = e.head) == null ? void 0 : t.querySelector('meta[name="csp-nonce"]')) == null ? void 0 : s.getAttribute("content")) != null ? r : void 0;
}
var Ce = {};
Pe(Ce, {
  err: () => ie,
  map: () => Fe,
  ok: () => C,
  unwrap: () => Me,
  unwrapErr: () => We
});
var C = (e) => ({
  isOk: !0,
  isErr: !1,
  value: e
}), ie = (e) => ({
  isOk: !1,
  isErr: !0,
  value: e
});
function Fe(e, t) {
  if (e.isOk) {
    const s = t(e.value);
    return s instanceof Promise ? s.then((r) => C(r)) : C(s);
  }
  if (e.isErr) {
    const s = e.value;
    return ie(s);
  }
  throw "should never get here";
}
var Me = (e) => {
  if (e.isOk)
    return e.value;
  throw e.value;
}, We = (e) => {
  if (e.isErr)
    return e.value;
  throw e.value;
}, k = (e, t = "") => () => {
}, De = (e, t) => () => {
}, $e = (e, t, ...s) => {
  let r = null, n = null, i = !1, a = !1;
  const $ = [], l = (c) => {
    for (let f = 0; f < c.length; f++)
      r = c[f], Array.isArray(r) ? l(r) : r != null && typeof r != "boolean" && ((i = typeof e != "function" && !W(r)) && (r = String(r)), i && a ? $[$.length - 1].$text$ += r : $.push(i ? I(null, r) : r), a = i);
  };
  if (l(s), t) {
    t.key && (n = t.key);
    {
      const c = t.className || t.class;
      c && (t.class = typeof c != "object" ? c : Object.keys(c).filter((f) => c[f]).join(" "));
    }
  }
  if (typeof e == "function")
    return e(
      t === null ? {} : t,
      $,
      Ye
    );
  const o = I(e, null);
  return o.$attrs$ = t, $.length > 0 && (o.$children$ = $), o.$key$ = n, o;
}, I = (e, t) => {
  const s = {
    $flags$: 0,
    $tag$: e,
    $text$: t,
    $elm$: null,
    $children$: null
  };
  return s.$attrs$ = null, s.$key$ = null, s;
}, Ge = {}, Xe = (e) => e && e.$tag$ === Ge, Ye = {
  forEach: (e, t) => e.map(N).forEach(t),
  map: (e, t) => e.map(N).map(t).map(Je)
}, N = (e) => ({
  vattrs: e.$attrs$,
  vchildren: e.$children$,
  vkey: e.$key$,
  vname: e.$name$,
  vtag: e.$tag$,
  vtext: e.$text$
}), Je = (e) => {
  if (typeof e.vtag == "function") {
    const s = J({}, e.vattrs);
    return e.vkey && (s.key = e.vkey), e.vname && (s.name = e.vname), $e(e.vtag, s, ...e.vchildren || []);
  }
  const t = I(e.vtag, e.vtext);
  return t.$attrs$ = e.vattrs, t.$children$ = e.vchildren, t.$key$ = e.vkey, t.$name$ = e.vname, t;
}, Ke = (e, t) => e != null && !W(e) ? t & 4 ? e === "false" ? !1 : e === "" || !!e : t & 1 ? String(e) : e : e, St = (e) => b(e).$hostElement$, Qe = (e, t, s) => {
  const r = p.ce(t, s);
  return e.dispatchEvent(r), r;
}, V = /* @__PURE__ */ new WeakMap(), Ze = (e, t, s) => {
  let r = A.get(e);
  Ie && s ? (r = r || new CSSStyleSheet(), typeof r == "string" ? r = t : r.replaceSync(t)) : r = t, A.set(e, r);
}, Re = (e, t, s) => {
  var r;
  const n = oe(t), i = A.get(n);
  if (e = e.nodeType === 11 ? e : m, i)
    if (typeof i == "string") {
      e = e.head || e;
      let a = V.get(e), $;
      if (a || V.set(e, a = /* @__PURE__ */ new Set()), !a.has(n)) {
        {
          $ = m.createElement("style"), $.innerHTML = i;
          const l = (r = p.$nonce$) != null ? r : le(m);
          l != null && $.setAttribute("nonce", l), e.insertBefore($, e.querySelector("link"));
        }
        t.$flags$ & 4 && ($.innerHTML += ne), a && a.add(n);
      }
    } else
      e.adoptedStyleSheets.includes(i) || (e.adoptedStyleSheets = [...e.adoptedStyleSheets, i]);
  return n;
}, Ne = (e) => {
  const t = e.$cmpMeta$, s = e.$hostElement$, r = t.$flags$, n = k("attachStyles", t.$tagName$), i = Re(
    s.shadowRoot ? s.shadowRoot : s.getRootNode(),
    t
  );
  r & 10 && (s["s-sc"] = i, s.classList.add(i + "-h")), n();
}, oe = (e, t) => "sc-" + e.$tagName$, ee = (e, t, s, r, n, i) => {
  if (s !== r) {
    let a = K(e, t), $ = t.toLowerCase();
    if (t === "class") {
      const l = e.classList, o = te(s), c = te(r);
      l.remove(...o.filter((f) => f && !c.includes(f))), l.add(...c.filter((f) => f && !o.includes(f)));
    } else if (t === "style") {
      for (const l in s)
        (!r || r[l] == null) && (l.includes("-") ? e.style.removeProperty(l) : e.style[l] = "");
      for (const l in r)
        (!s || r[l] !== s[l]) && (l.includes("-") ? e.style.setProperty(l, r[l]) : e.style[l] = r[l]);
    } else if (t !== "key")
      if (t === "ref")
        r && r(e);
      else if (!a && t[0] === "o" && t[1] === "n") {
        if (t[2] === "-" ? t = t.slice(3) : K(x, $) ? t = $.slice(2) : t = $[2] + t.slice(3), s || r) {
          const l = t.endsWith(ce);
          t = t.replace(et, ""), s && p.rel(e, t, s, l), r && p.ael(e, t, r, l);
        }
      } else {
        const l = W(r);
        if ((a || l && r !== null) && !n)
          try {
            if (e.tagName.includes("-"))
              e[t] = r;
            else {
              const o = r == null ? "" : r;
              t === "list" ? a = !1 : (s == null || e[t] != o) && (e[t] = o);
            }
          } catch (o) {
          }
        r == null || r === !1 ? (r !== !1 || e.getAttribute(t) === "") && e.removeAttribute(t) : (!a || i & 4 || n) && !l && (r = r === !0 ? "" : r, e.setAttribute(t, r));
      }
  }
}, Ve = /\s/, te = (e) => e ? e.split(Ve) : [], ce = "Capture", et = new RegExp(ce + "$"), fe = (e, t, s) => {
  const r = t.$elm$.nodeType === 11 && t.$elm$.host ? t.$elm$.host : t.$elm$, n = e && e.$attrs$ || R, i = t.$attrs$ || R;
  for (const a of se(Object.keys(n)))
    a in i || ee(r, a, n[a], void 0, s, t.$flags$);
  for (const a of se(Object.keys(i)))
    ee(r, a, n[a], i[a], s, t.$flags$);
};
function se(e) {
  return e.includes("ref") ? (
    // we need to sort these to ensure that `'ref'` is the last attr
    [...e.filter((t) => t !== "ref"), "ref"]
  ) : (
    // no need to sort, return the original array
    e
  );
}
var O, D, y = !1, U = (e, t, s, r) => {
  const n = t.$children$[s];
  let i = 0, a, $;
  if (n.$text$ !== null)
    a = n.$elm$ = m.createTextNode(n.$text$);
  else {
    if (y || (y = n.$tag$ === "svg"), a = n.$elm$ = m.createElementNS(
      y ? qe : ze,
      n.$tag$
    ), y && n.$tag$ === "foreignObject" && (y = !1), fe(null, n, y), Be(O) && a["s-si"] !== O && a.classList.add(a["s-si"] = O), n.$children$)
      for (i = 0; i < n.$children$.length; ++i)
        $ = U(e, n, i), $ && a.appendChild($);
    n.$tag$ === "svg" ? y = !1 : a.tagName === "foreignObject" && (y = !0);
  }
  return a["s-hn"] = D, a;
}, ue = (e, t, s, r, n, i) => {
  let a = e, $;
  for (a.shadowRoot && a.tagName === D && (a = a.shadowRoot); n <= i; ++n)
    r[n] && ($ = U(null, s, n), $ && (r[n].$elm$ = $, j(a, $, t)));
}, de = (e, t, s) => {
  for (let r = t; r <= s; ++r) {
    const n = e[r];
    if (n) {
      const i = n.$elm$;
      ve(n), i && i.remove();
    }
  }
}, tt = (e, t, s, r, n = !1) => {
  let i = 0, a = 0, $ = 0, l = 0, o = t.length - 1, c = t[0], f = t[o], u = r.length - 1, d = r[0], v = r[u], g, S;
  for (; i <= o && a <= u; )
    if (c == null)
      c = t[++i];
    else if (f == null)
      f = t[--o];
    else if (d == null)
      d = r[++a];
    else if (v == null)
      v = r[--u];
    else if (_(c, d, n))
      w(c, d, n), c = t[++i], d = r[++a];
    else if (_(f, v, n))
      w(f, v, n), f = t[--o], v = r[--u];
    else if (_(c, v, n))
      w(c, v, n), j(e, c.$elm$, f.$elm$.nextSibling), c = t[++i], v = r[--u];
    else if (_(f, d, n))
      w(f, d, n), j(e, f.$elm$, c.$elm$), f = t[--o], d = r[++a];
    else {
      for ($ = -1, l = i; l <= o; ++l)
        if (t[l] && t[l].$key$ !== null && t[l].$key$ === d.$key$) {
          $ = l;
          break;
        }
      $ >= 0 ? (S = t[$], S.$tag$ !== d.$tag$ ? g = U(t && t[a], s, $) : (w(S, d, n), t[$] = void 0, g = S.$elm$), d = r[++a]) : (g = U(t && t[a], s, a), d = r[++a]), g && j(c.$elm$.parentNode, g, c.$elm$);
    }
  i > o ? ue(
    e,
    r[u + 1] == null ? null : r[u + 1].$elm$,
    s,
    r,
    a,
    u
  ) : a > u && de(t, i, o);
}, _ = (e, t, s = !1) => e.$tag$ === t.$tag$ ? s ? !0 : e.$key$ === t.$key$ : !1, w = (e, t, s = !1) => {
  const r = t.$elm$ = e.$elm$, n = e.$children$, i = t.$children$, a = t.$tag$, $ = t.$text$;
  $ === null ? (y = a === "svg" ? !0 : a === "foreignObject" ? !1 : y, fe(e, t, y), n !== null && i !== null ? tt(r, n, t, i, s) : i !== null ? (e.$text$ !== null && (r.textContent = ""), ue(r, null, t, i, 0, i.length - 1)) : n !== null && de(n, 0, n.length - 1), y && a === "svg" && (y = !1)) : e.$text$ !== $ && (r.data = $);
}, ve = (e) => {
  e.$attrs$ && e.$attrs$.ref && e.$attrs$.ref(null), e.$children$ && e.$children$.map(ve);
}, j = (e, t, s) => e == null ? void 0 : e.insertBefore(t, s), st = (e, t, s = !1) => {
  const r = e.$hostElement$, n = e.$cmpMeta$, i = e.$vnode$ || I(null, null), a = Xe(t) ? t : $e(null, null, t);
  if (D = r.tagName, n.$attrsToReflect$ && (a.$attrs$ = a.$attrs$ || {}, n.$attrsToReflect$.map(
    ([$, l]) => a.$attrs$[l] = r[$]
  )), s && a.$attrs$)
    for (const $ of Object.keys(a.$attrs$))
      r.hasAttribute($) && !["key", "ref", "style", "class"].includes($) && (a.$attrs$[$] = r[$]);
  a.$tag$ = null, a.$flags$ |= 4, e.$vnode$ = a, a.$elm$ = i.$elm$ = r.shadowRoot || r, O = r["s-sc"], n.$flags$ & 1, w(i, a, s);
}, pe = (e, t) => {
  t && !e.$onRenderResolve$ && t["s-p"] && t["s-p"].push(new Promise((s) => e.$onRenderResolve$ = s));
}, G = (e, t) => {
  if (e.$flags$ |= 16, e.$flags$ & 4) {
    e.$flags$ |= 512;
    return;
  }
  return pe(e, e.$ancestorComponent$), He(() => rt(e, t));
}, rt = (e, t) => {
  const s = e.$hostElement$, r = k("scheduleUpdate", e.$cmpMeta$.$tagName$), n = e.$lazyInstance$;
  if (!n)
    throw new Error(
      `Can't render component <${s.tagName.toLowerCase()} /> with invalid Stencil runtime! Make sure this imported component is compiled with a \`externalRuntime: true\` flag. For more information, please refer to https://stenciljs.com/docs/custom-elements#externalruntime`
    );
  let i;
  return t && (e.$flags$ |= 256, e.$queuedListeners$ && (e.$queuedListeners$.map(([a, $]) => H(n, a, $)), e.$queuedListeners$ = void 0), i = H(n, "componentWillLoad")), r(), nt(i, () => lt(e, n, t));
}, nt = (e, t) => at(e) ? e.then(t).catch((s) => {
  console.error(s), t();
}) : t(), at = (e) => e instanceof Promise || e && e.then && typeof e.then == "function", lt = (e, t, s) => T(void 0, null, function* () {
  var r;
  const n = e.$hostElement$, i = k("update", e.$cmpMeta$.$tagName$), a = n["s-rc"];
  s && Ne(e);
  const $ = k("render", e.$cmpMeta$.$tagName$);
  it(e, t, n, s), a && (a.map((l) => l()), n["s-rc"] = void 0), $(), i();
  {
    const l = (r = n["s-p"]) != null ? r : [], o = () => $t(e);
    l.length === 0 ? o() : (Promise.all(l).then(o), e.$flags$ |= 4, l.length = 0);
  }
}), it = (e, t, s, r) => {
  try {
    t = t.render(), e.$flags$ &= -17, e.$flags$ |= 2, st(e, t, r);
  } catch (n) {
    L(n, e.$hostElement$);
  }
  return null;
}, $t = (e) => {
  const t = e.$cmpMeta$.$tagName$, s = e.$hostElement$, r = k("postUpdate", t), n = e.$lazyInstance$, i = e.$ancestorComponent$;
  e.$flags$ & 64 ? r() : (e.$flags$ |= 64, he(s), H(n, "componentDidLoad"), r(), e.$onReadyResolve$(s), i || ge()), e.$onRenderResolve$ && (e.$onRenderResolve$(), e.$onRenderResolve$ = void 0), e.$flags$ & 512 && M(() => G(e, !1)), e.$flags$ &= -517;
}, ge = (e) => {
  he(m.documentElement), M(() => Qe(x, "appload", { detail: { namespace: Le } }));
}, H = (e, t, s) => {
  if (e && e[t])
    try {
      return e[t](s);
    } catch (r) {
      L(r);
    }
}, he = (e) => {
  var t;
  return e.classList.add((t = we.hydratedSelectorName) != null ? t : "hydrated");
}, ot = (e, t) => b(e).$instanceValues$.get(t), ct = (e, t, s, r) => {
  const n = b(e);
  if (!n)
    throw new Error(
      `Couldn't find host element for "${r.$tagName$}" as it is unknown to this Stencil runtime. This usually happens when integrating a 3rd party Stencil component with another Stencil component or application. Please reach out to the maintainers of the 3rd party Stencil component or report this on the Stencil Discord server (https://chat.stenciljs.com) or comment on this similar [GitHub issue](https://github.com/ionic-team/stencil/issues/5457).`
    );
  const i = n.$hostElement$, a = n.$instanceValues$.get(t), $ = n.$flags$, l = n.$lazyInstance$;
  s = Ke(s, r.$members$[t][0]);
  const o = Number.isNaN(a) && Number.isNaN(s), c = s !== a && !o;
  if ((!($ & 8) || a === void 0) && c && (n.$instanceValues$.set(t, s), l)) {
    if (r.$watchers$ && $ & 128) {
      const f = r.$watchers$[t];
      f && f.map((u) => {
        try {
          l[u](s, a, t);
        } catch (d) {
          L(d, i);
        }
      });
    }
    ($ & 18) === 2 && G(n, !1);
  }
}, ye = (e, t, s) => {
  var r, n;
  const i = e.prototype;
  if (t.$members$ || t.$watchers$ || e.watchers) {
    e.watchers && !t.$watchers$ && (t.$watchers$ = e.watchers);
    const a = Object.entries((r = t.$members$) != null ? r : {});
    if (a.map(([$, [l]]) => {
      (l & 31 || s & 2 && l & 32) && Object.defineProperty(i, $, {
        get() {
          return ot(this, $);
        },
        set(o) {
          ct(this, $, o, t);
        },
        configurable: !0,
        enumerable: !0
      });
    }), s & 1) {
      const $ = /* @__PURE__ */ new Map();
      i.attributeChangedCallback = function(l, o, c) {
        p.jmp(() => {
          var f;
          const u = $.get(l);
          if (this.hasOwnProperty(u))
            c = this[u], delete this[u];
          else {
            if (i.hasOwnProperty(u) && typeof this[u] == "number" && this[u] == c)
              return;
            if (u == null) {
              const d = b(this), v = d == null ? void 0 : d.$flags$;
              if (v && !(v & 8) && v & 128 && c !== o) {
                const g = d.$lazyInstance$, S = (f = t.$watchers$) == null ? void 0 : f[l];
                S == null || S.forEach((h) => {
                  g[h] != null && g[h].call(g, c, o, l);
                });
              }
              return;
            }
          }
          this[u] = c === null && typeof this[u] == "boolean" ? !1 : c;
        });
      }, e.observedAttributes = Array.from(
        /* @__PURE__ */ new Set([
          ...Object.keys((n = t.$watchers$) != null ? n : {}),
          ...a.filter(
            ([l, o]) => o[0] & 15
            /* HasAttribute */
          ).map(([l, o]) => {
            var c;
            const f = o[1] || l;
            return $.set(f, l), o[0] & 512 && ((c = t.$attrsToReflect$) == null || c.push([l, f])), f;
          })
        ])
      );
    }
  }
  return e;
}, ft = (e, t, s, r) => T(void 0, null, function* () {
  let n;
  if (!(t.$flags$ & 32)) {
    if (t.$flags$ |= 32, s.$lazyBundleId$) {
      const l = _e(s);
      if (l && "then" in l) {
        const c = De();
        n = yield l, c();
      } else
        n = l;
      if (!n)
        throw new Error(`Constructor for "${s.$tagName$}#${t.$modeName$}" was not found`);
      n.isProxied || (s.$watchers$ = n.watchers, ye(
        n,
        s,
        2
        /* proxyState */
      ), n.isProxied = !0);
      const o = k("createInstance", s.$tagName$);
      t.$flags$ |= 8;
      try {
        new n(t);
      } catch (c) {
        L(c);
      }
      t.$flags$ &= -9, t.$flags$ |= 128, o();
    } else {
      n = e.constructor;
      const l = e.localName;
      customElements.whenDefined(l).then(
        () => t.$flags$ |= 128
        /* isWatchReady */
      );
    }
    if (n && n.style) {
      let l;
      typeof n.style == "string" && (l = n.style);
      const o = oe(s);
      if (!A.has(o)) {
        const c = k("registerStyles", s.$tagName$);
        Ze(o, l, !!(s.$flags$ & 1)), c();
      }
    }
  }
  const i = t.$ancestorComponent$, a = () => G(t, !0);
  i && i["s-rc"] ? i["s-rc"].push(a) : a();
}), ut = (e) => {
}, dt = (e) => {
  if (!(p.$flags$ & 1)) {
    const t = b(e), s = t.$cmpMeta$, r = k("connectedCallback", s.$tagName$);
    if (t.$flags$ & 1)
      me(e, t, s.$listeners$), t != null && t.$lazyInstance$ || t != null && t.$onReadyPromise$ && t.$onReadyPromise$.then(() => ut());
    else {
      t.$flags$ |= 1;
      {
        let n = e;
        for (; n = n.parentNode || n.host; )
          if (n["s-p"]) {
            pe(t, t.$ancestorComponent$ = n);
            break;
          }
      }
      s.$members$ && Object.entries(s.$members$).map(([n, [i]]) => {
        if (i & 31 && e.hasOwnProperty(n)) {
          const a = e[n];
          delete e[n], e[n] = a;
        }
      }), ft(e, t, s);
    }
    r();
  }
}, re = (e) => {
  H(e, "disconnectedCallback");
}, vt = (e) => T(void 0, null, function* () {
  if (!(p.$flags$ & 1)) {
    const t = b(e);
    t.$rmListeners$ && (t.$rmListeners$.map((s) => s()), t.$rmListeners$ = void 0), t != null && t.$lazyInstance$ ? re(t.$lazyInstance$) : t != null && t.$onReadyPromise$ && t.$onReadyPromise$.then(() => re(t.$lazyInstance$));
  }
}), Et = (e, t = {}) => {
  var s;
  const r = k(), n = [], i = t.exclude || [], a = x.customElements, $ = m.head, l = /* @__PURE__ */ $.querySelector("meta[charset]"), o = /* @__PURE__ */ m.createElement("style"), c = [];
  let f, u = !0;
  Object.assign(p, t), p.$resourcesUrl$ = new URL(t.resourcesUrl || "./", m.baseURI).href;
  let d = !1;
  if (e.map((v) => {
    v[1].map((g) => {
      var S;
      const h = {
        $flags$: g[0],
        $tagName$: g[1],
        $members$: g[2],
        $listeners$: g[3]
      };
      h.$flags$ & 4 && (d = !0), h.$members$ = g[2], h.$listeners$ = g[3], h.$attrsToReflect$ = [], h.$watchers$ = (S = g[4]) != null ? S : {};
      const P = h.$tagName$, Se = class extends HTMLElement {
        // StencilLazyHost
        constructor(E) {
          if (super(E), this.hasRegisteredEventListeners = !1, E = this, Te(E, h), h.$flags$ & 1) {
            if (!E.shadowRoot)
              E.attachShadow({ mode: "open" });
            else if (E.shadowRoot.mode !== "open")
              throw new Error(
                `Unable to re-use existing shadow root for ${h.$tagName$}! Mode is set to ${E.shadowRoot.mode} but Stencil only supports open shadow roots.`
              );
          }
        }
        connectedCallback() {
          const E = b(this);
          this.hasRegisteredEventListeners || (this.hasRegisteredEventListeners = !0, me(this, E, h.$listeners$)), f && (clearTimeout(f), f = null), u ? c.push(this) : p.jmp(() => dt(this));
        }
        disconnectedCallback() {
          p.jmp(() => vt(this));
        }
        componentOnReady() {
          return b(this).$onReadyPromise$;
        }
      };
      h.$lazyBundleId$ = v[0], !i.includes(P) && !a.get(P) && (n.push(P), a.define(
        P,
        ye(
          Se,
          h,
          1
          /* isElementConstructor */
        )
      ));
    });
  }), n.length > 0 && (d && (o.textContent += ne), o.textContent += n.sort() + Oe, o.innerHTML.length)) {
    o.setAttribute("data-styles", "");
    const v = (s = p.$nonce$) != null ? s : le(m);
    v != null && o.setAttribute("nonce", v), $.insertBefore(o, l ? l.nextSibling : $.firstChild);
  }
  u = !1, c.length ? c.map((v) => v.connectedCallback()) : p.jmp(() => f = setTimeout(ge, 30)), r();
}, kt = (e, t) => t, me = (e, t, s, r) => {
  s && s.map(([n, i, a]) => {
    const $ = gt(e, n), l = pt(t, a), o = ht(n);
    p.ael($, i, l, o), (t.$rmListeners$ = t.$rmListeners$ || []).push(() => p.rel($, i, l, o));
  });
}, pt = (e, t) => (s) => {
  var r;
  try {
    e.$flags$ & 256 ? (r = e.$lazyInstance$) == null || r[t](s) : (e.$queuedListeners$ = e.$queuedListeners$ || []).push([t, s]);
  } catch (n) {
    L(n);
  }
}, gt = (e, t) => t & 8 ? x : e, ht = (e) => je ? {
  passive: (e & 1) !== 0,
  capture: (e & 2) !== 0
} : (e & 2) !== 0;
export {
  kt as F,
  Ge as H,
  Et as b,
  St as g,
  $e as h,
  Ae as p,
  mt as r
};
